Math = {}

function Math.lerp(from, to, t)
	return from + (to - from) * t
end

function Math.clamp(value, min, max)
	if value <= min then
		return min
	elseif value >= max then
		return max
	else
		return value
	end
end